QIFDateiWriter
Date: 2015-04-26

de.jost_net.OBanToo.QIF

## Class QIFDateiWriter

- java.lang.Object
- - de.jost_net.OBanToo.QIF.QIFDateiWriter

-     public class QIFDateiWriter
      extends java.lang.Object

  Erstellung von QIF-Dateien

  Beispiel
  `FileOutputStream fos = new FileOutputStream("test.qif");
  QIFDateiWriter qifw = new QIFDateiWriter(fos);
  qifw.setBetrag(100.01);
  qifw.setDatum(new Date());
  qifw.setEmpfänger("Fritzchen Müller");
  qifw.addAdresse("Testenhausen");
  qifw.write();
  qifw.setBetrag(200);
  qifw.setDatum(new Date());
  qifw.setEmpfänger("Franz Sepplhuber");
  qifw.setKategorie("Reisen");
  qifw.write();
  qifw.close();
  `

  Author:
    Heiner Jostkleigrewe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.io.DataOutputStream` | `dos`
    `private QIFBuchung` | `qif`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QIFDateiWriter(java.io.OutputStream os)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdresse(java.lang.String value)`
    `void` | `close()`
    `private void` | `open()`
    `void` | `setBetrag(double value)`
    `void` | `setClearedStatus(java.lang.String value)`
    `void` | `setDatum(java.util.Date value)`
    `void` | `setEmpfänger(java.lang.String value)`
    `void` | `setKategorie(java.lang.String value)`
    `void` | `setMemo(java.lang.String value)`
    `void` | `setReferenz(java.lang.String value)`
    `void` | `write()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dos

          private java.io.DataOutputStream dos

    - #### qif

          private QIFBuchung qif

  - ### Constructor Detail

    - #### QIFDateiWriter

          public QIFDateiWriter(java.io.OutputStream os)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### open

          private void open()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setDatum

          public void setDatum(java.util.Date value)

    - #### setBetrag

          public void setBetrag(double value)

    - #### setEmpfänger

          public void setEmpfänger(java.lang.String value)

    - #### setKategorie

          public void setKategorie(java.lang.String value)

    - #### setClearedStatus

          public void setClearedStatus(java.lang.String value)

    - #### setReferenz

          public void setReferenz(java.lang.String value)

    - #### setMemo

          public void setMemo(java.lang.String value)

    - #### addAdresse

          public void addAdresse(java.lang.String value)

    - #### write

          public void write()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`